HWSTAMP_CTL(8)

NAME
hwstamp_ctl - set time stamping policy at the driver level

SYNOPSIS
hwstamp_ctl -i interface [ -r rx-filter ] [ -t tx-type ] [ -v ]

DESCRIPTION
hwstamp_ctl is a program used to set and get the hardware time stamping policy at the network driver level with the SIOCSHWTSTAMP ioctl(2). The tx-type and rx-filter values are hints to the driver what it is expected to do. If the requested fine-grained filtering for incoming packets is not supported, the driver may time stamp more than just the requested types of packets.

If neither tx-type nor rx-filter values are passed to the program, it will use the SIOCGHWTSTAMP ioctl(2) to non-destructively read the current hardware time stamping policy.

This program is a debugging tool. The ptp4l(8) program does not need this program to function, it will set the policy automatically as appropriate.

OPTIONS

-i interface
    Specify the network interface of which the policy should be changed.

-r rx-filter
    Specify which types of incoming packets should be time stamped, rx-filter is an integer value.

-t tx-type
    Enable or disable hardware time stamping for outgoing packets, tx-type is an integer value.

-h  Display a help message and list of possible values for rx-filter and tx-type.

-v  Prints the software version and exits.

SEE ALSO
ioctl(2), ptp4l(8)